#!/bin/bash

# 数据库IP地址
db_host="192.168.10.15"

# 数据库端口
db_port="3306"

# 数据库登陆用户名
db_user="root"

# 数据库登录密码
db_passwd="123456"

# 需备份的库
db_name="solo"

# 备份文件存放路径
backup_path="/home/backup/mysql"

# 定义备份文件的文件名格式
name="solo-$(date +"%Y-%m-%d-%H:%M:%S")"

# 执行备份命令，并压缩备份文件
mysqldump --flush-logs --user=$db_user --password=$db_passwd --host=$db_host --port=$db_port $db_name | gzip > $backup_path/$name.sql.gz

# 将备份文件传至192.168.10.20，即192.168.10.15和192.168.10.20两台服务器都会保存备份文件 - 可选是否添加此命令
scp -r $backup_path/$name.sql.gz root@192.168.10.20:$backup_path

# 删除7天前的备份
find $backup_path/* -mtime +7 -name "*.gz" -exec rm -rf {} \;
